py25 virtualenv downgrade fails if tox is installed w/ easy_install (as egg)

Issue #132 on hold
jenisys created an issue

VERSION-INFO: tox 1.6.1, setuptools>=0.9.8, python2.7

Run "tox -e py25" in a virtualenv where tox is installed with easy_install (as egg). Python2.5 interpreter tries to access "virtualenv.py" that is bundled with tox in the egg, but cannot reach into the zipped egg (with the provided path).

Note the problem occurs before the actual downgrade.

xxx)shell> tox -e py25
GLOB sdist-make: /.../xxx/my_project/setup.py
py25 create: /.../xxx/my_project/.tox/py25
ERROR: invocation failed, logfile: /.../xxx/my_project/.tox/py25/log/py25-0.log
ERROR: actionid=py25
msg=getenv
cmdargs=['/usr/bin/python2.5', '/.../xxx/lib/python2.7/site-packages/tox-1.6.1-py2.7.egg/tox/vendor/virtualenv.py', '--setuptools', '--python', '/usr/bin/python2.5', 'py25']
...
/usr/bin/python2.5: can't open file '/.../xxx/lib/python2.7/site-packages/tox-1.6.1-py2.7.egg/tox/vendor/virtualenv.py': [Errno 20] Not a directory

ERROR: InvocationError: /usr/bin/python2.5 /.../xxx/lib/python2.7/site-packages/tox-1.6.1-py2.7.egg/tox/vendor/virtualenv.py --setuptools --python /usr/bin/python2.5 py25 (see /.../xxx/my_project/.tox/py25/log/py25-0.log)

Comments (6)

  1. jenisys reporter

    Correct.

    If you set "zip_safe=False" in tox's "setup.py" and install it with easy_install, you can run the example above without any problems. Probably the easiest solution.

    NOTE: Removing the "zip_safe" attribute from the setup() call has the same effect.

  2. Holger Krekel repo owner

    fix issue132: removing zip_safe setting (so it defaults to false) to allow installation of tox via easy_install/eggs. Thanks Jenisys.

    → <<cset 72ba41dbebee>>

  3. Log in to comment